经过很长一段时间没有在MacBook上使用Ruby on Rails(OSX 10.9),每次我运行

    rake db:migrate

要么

    bundle exec rake db:migrate

我得到以下错误:

 git://github.com/capistrano/capistrano.git (at master) is not yet checked out. Run `bundle install` first.

我已经运行了bundle install,但仍然没有运行。

谢谢您的帮助!

#1楼 票数:2

试试:

 Bundle install --deployment 

  ask by Victor translate from so

未解决问题?本站智能推荐:

4回复

使用和不使用bundleexec运行rake命令之间的区别

使用和不使用bundle exec运行rake命令之间的主要区别是什么? 我看到很少有帖子说当你用bundle exec运行命令时它会在gem文件中定义的gems版本的范围内运行。 如果是这种情况,那么应该强制使用bundle exec运行rake命令?
1回复

捆绑包不完整(并非所有gem都已成功安装)时,如何使rake工作?

我有一个无法正确安装的gem(可能是由于系统不兼容)。 每次我叫rake时,它都会返回“在任何来源中都找不到rmagic 。运行bundle install”。 我想稍后将应用程序推送到Heroku。 但是我有一些数据库要首先播种。 尽管缺少宝石并且没有安装它,是否仍然可以强制耙执行任
1回复

Rails/gem/bundle错误,railsnew和rakedb:create上的错误

我决定尝试将红宝石安装在新笔记本电脑上运行的导轨上,因为我尝试使它在不那么可靠的硬件上运行几次,从而出现各种程度的错误。 我已经通过RVM和Rails 3安装了ruby 1.9.2 p320。这是rails new blog的输出: 对于rake db:create : 最后,从捆绑
1回复

我用脚手架创建了一个数据库,用rake迁移了它,它没有错误地运行,但是当我启动服务器时,它给出了运行时错误

所以我进行了抽水测试,结果如下 7个测试,0个断言,0个失败,7个错误,0个跳过**调用测试:集成(首次)**调用测试:准备**执行测试:集成运行测试:功能时出错! #
1回复

如何彻底清理Rails项目中的红宝石?

我是红宝石的新手。 我已经通过github clone和bundle install在rails项目上安装了一个复杂的ruby,我对其进行了微小的更改,直到达到不再稳定的状态,sass抛出了奇怪的异常,其他ruby宝石也是如此。 对于Rails项目,有没有一种方法可以清理项目(也就是删除所有
1回复

乘客:在任何来源中都找不到rake-10.0.4(Bundler::GemNotFound)

我有一个使用apache2 +乘客在debian上运行的rails应用程序,但是我收到了来自乘客的消息: 奇怪的是rake-10.0.4似乎已经安装: 有人知道这是从哪里来的吗? 谢谢 !
1回复

捆绑包执行程序无法识别rake0.9.2

这是我运行db:migrate时遇到的错误。 rake db:migrate rake aborted! You have already activated rake 0.9.2.2, but your Gemfile requires rake 0.9.2. Using bundle ex
3回复

Capistranodeploy:migrate和db:migrate每次都运行所有迁移

因此,我在使用rails(红宝石1.9.3p392,rails 3.2,sqlite3 db),并尝试将无处不在的博客教程代码部署到“生产”服务器(apache,passenger,ubuntu)。 我的deploy.rb看起来像这样: 现在,我敢肯定,对于那些知道自己在用Capistra